Advisory Details

December 15th, 2017

Quest NetVault Backup Server Process Manager Service NVBUBackup PluginList Method SQL Injection Remote Code Execution Vulnerability

ZDI-17-991
ZDI-CAN-4289

CVE ID CVE-2017-17655
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Quest
AFFECTED PRODUCTS NetVault Backup
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 28894. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Quest NetVault Backup. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the handling of NVBUBackup PluginList method requests. The issue results from the lack of proper validation of a user-supplied string before using it to construct SQL queries. An attacker can leverage this vulnerability to execute code in the context of the underlying database.

VENDOR RESPONSE Quest states:


Fixed by NVBU 11.4.5


DISCLOSURE TIMELINE
  • 2017-12-06 - Vulnerability reported to vendor
  • 2017-12-15 - Coordinated public release of advisory
CREDIT Brian Gorenc - Trend Micro Zero Day Initiative
BACK TO ADVISORIES